import { PropType } from 'vue';
import { ExtractPublicPropTypes } from '../../_utils';
interface imgProps {
    alt?: string;
    crossorigin?: 'anonymous' | 'use-credentials' | '';
    decoding?: 'async' | 'auto' | 'sync';
    height?: number;
    sizes?: string;
    src?: string;
    srcset?: string;
    usemap?: string;
    width?: number;
}
export interface ImageInst {
    click: () => void;
}
declare const imageProps: {
    alt: StringConstructor;
    height: PropType<string | number>;
    imgProps: PropType<imgProps>;
    objectFit: {
        type: PropType<"fill" | "none" | "contain" | "cover" | "scale-down">;
        default: string;
    };
    previewSrc: StringConstructor;
    width: PropType<string | number>;
    src: StringConstructor;
    showToolbar: {
        type: BooleanConstructor;
        default: boolean;
    };
    onError: PropType<(e: Event) => void>;
};
export declare type ImageProps = ExtractPublicPropTypes<typeof imageProps>;
declare const _default: import("vue").DefineComponent<{
    alt: StringConstructor;
    height: PropType<string | number>;
    imgProps: PropType<imgProps>;
    objectFit: {
        type: PropType<"fill" | "none" | "contain" | "cover" | "scale-down">;
        default: string;
    };
    previewSrc: StringConstructor;
    width: PropType<string | number>;
    src: StringConstructor;
    showToolbar: {
        type: BooleanConstructor;
        default: boolean;
    };
    onError: PropType<(e: Event) => void>;
}, {
    click: () => void;
    mergedClsPrefix: import("vue").Ref<string> | import("vue").ComputedRef<string>;
    groupId: string | undefined;
    previewInstRef: import("vue").Ref<{
        setThumbnailEl: (e: HTMLImageElement | null) => void;
        setPreviewSrc: (src?: string | undefined) => void;
        toggleShow: () => void;
    } | null>;
    imageRef: import("vue").Ref<HTMLImageElement | null>;
    imgProps: import("vue").Ref<imgProps | undefined>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    alt?: unknown;
    height?: unknown;
    imgProps?: unknown;
    objectFit?: unknown;
    previewSrc?: unknown;
    width?: unknown;
    src?: unknown;
    showToolbar?: unknown;
    onError?: unknown;
} & {
    objectFit: "fill" | "none" | "contain" | "cover" | "scale-down";
    showToolbar: boolean;
} & {
    onError?: ((e: Event) => void) | undefined;
    height?: string | number | undefined;
    width?: string | number | undefined;
    alt?: string | undefined;
    src?: string | undefined;
    previewSrc?: string | undefined;
    imgProps?: imgProps | undefined;
}>, {
    objectFit: "fill" | "none" | "contain" | "cover" | "scale-down";
    showToolbar: boolean;
}>;
export default _default;
